<?xml version="1.0" encoding="utf-8"?>
<taskrunner name="postinstall" version="1.0.1" date="2008-10-30" maxthreads="1">

  <includes>
    <file name="vida.install.settings.xml" />
  </includes>

  <tasks>


    <task name="update.accessserver.init" condition="¤{main.install.type}=INSTALL AND ¤{install.type}=INSTALL" typename="@SqlServerManagement.ExecuteScript" retry="3">
      <description>
        Updates database AccessServer, add a language
      </description>
      <dependencies list=""/>
      <parameters>
        <parameter name="connectionstring" value="${accessserver.cs}"/>
        <parameter name="script.fullpath" value="${target.db.update.dir}\postinstall_init.sql"/>
      </parameters>
    </task>

    <task name="update.accessserver.subseq" condition="¤{main.install.type}=REINSTALL" typename="@SqlServerManagement.ExecuteScript" retry="3">
      <description>
        Updates database AccessServer, add a new language/reinstall a old language
      </description>
      <dependencies list=""/>
      <parameters>
        <parameter name="connectionstring" value="${accessserver.cs}"/>
        <parameter name="script.fullpath" value="${target.db.update.dir}\postinstall_subseq.sql"/>
      </parameters>
    </task>

    <task name="update.accessserver.lang" condition="¤{main.install.type}=INSTALL AND ¤{install.type}=LANGUAGE" typename="@SqlServerManagement.ExecuteScript" retry="3">
      <description>
        Updates database AccessServer, add a new language/reinstall a old language
      </description>
      <dependencies list=""/>
      <parameters>
        <parameter name="connectionstring" value="${accessserver.cs}"/>
        <parameter name="script.fullpath" value="${target.db.update.dir}\postinstall_lang.sql"/>
      </parameters>
    </task>


  </tasks>

</taskrunner>